atlantis(6)

NAME
atlantis - draw swimming sharks, whales, and dolphins.

SYNOPSIS
atlantis [-display host:display.screen] [-visual visual] [-window] [-root] [-whalespeed number] [-delay number] [-size number] [-count number] [-no-texture] [-gradient] [-wireframe] [-fps]

DESCRIPTION
This is xfishtank writ large: a GL animation of a number of sharks, dolphins, and whales. The swimming motions are great.

OPTIONS

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

-window
    Draw on a newly-created window. This is the default.

-root
    Draw on the root window.

-whalespeed number
    Whale Speed. 0 - 1000. Default: 250.

-cycles number
    Shark Speed. Default: 100.

-size number
    Shark Proximity.  100 - 10000.    Default: 6000.

-count number
    Number of Sharks. 0 - 20. Default: 4.

-texture | -no-texture
    Whether to show shimmering water.

-gradient
    Whether to draw a gradient on the background, making it darker at the bottom.

-wireframe
    Render in wireframe instead of solid.

-fps | -no-fps
    Whether to show a frames-per-second display at the bottom of the screen.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright © 2002 by Mark Kilgard. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Mark Kilgard.